From 19573a7bf004fe452e7b3b44174560380a4bbefb Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Fri, 11 Sep 2020 15:49:11 +0200
Subject: [PATCH] Also add DESTDIR in the uninstall targets in kore and kodev
 Makefiles.

---
 Makefile       | 6 +++---
 kodev/Makefile | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/Makefile b/Makefile
index caf7f0a1..fb8d4ec1 100644
--- a/Makefile
+++ b/Makefile
@@ -221,9 +221,9 @@ install-sources:
 	fi
 
 uninstall:
-	rm -f $(INSTALL_DIR)/$(KORE)
-	rm -rf $(INCLUDE_DIR)
-	rm -rf $(SHARE_DIR)
+	rm -f $(DESTDIR)$(INSTALL_DIR)/$(KORE)
+	rm -rf $(DESTDIR)$(INCLUDE_DIR)
+	rm -rf $(DESTDIR)$(SHARE_DIR)
 	$(MAKE) -C kodev uninstall
 
 tools-build: $(KODEV)
diff --git a/kodev/Makefile b/kodev/Makefile
index baffd6e5..c204d05d 100644
--- a/kodev/Makefile
+++ b/kodev/Makefile
@@ -47,7 +47,7 @@ install: $(KODEV)
 	install -m 555 $(KODEV) $(DESTDIR)$(INSTALL_DIR)/$(KODEV)
 
 uninstall:
-	rm -f $(INSTALL_DIR)/$(KODEV)
+	rm -f $(DESTDIR)$(INSTALL_DIR)/$(KODEV)
 
 $(OBJDIR)/%.o: ../src/%.c
 	$(CC) $(CFLAGS) -c $< -o $@
